/*
 * Language.java
 *
 * Created on 19 March 2004, 12:23
 */

package it.businesslogic.ireport;

import it.businesslogic.ireport.util.Misc;
/**
 *
 * @author  ertano
 */
public class Language {
    
    String  filenameWithPath,filename,languageName,Id;
        
    public void setFilenameWithPath(String f){
        filenameWithPath = f;
    }
    public void setFilename(String f){
        filename = f;
    }
    public void setLanguageName(String s){
        languageName = s;
    }
    public void setId(String s){
        Id = s;
    }
    public String getFilenameWithPath(){
        return filenameWithPath;
    }
    public String getFilename(){
        return filename;
    }
    public String getLanguageName(){
        return languageName;
    }
    public String getId(){
        return Id;
    }
    
    public String toString()
    {
        return Misc.nvl( this.getLanguageName(),"");        
    }
}
